LIMACTL(1)

NAME
limactl-start - Start an instance of Lima

SYNOPSIS
limactl start NAME|FILE.yaml|URL [flags]

DESCRIPTION
Start an instance of Lima

OPTIONS
--arch=""
    [limactl create] Machine architecture (x86_64, aarch64, riscv64, armv7l, s390x, ppc64le)

--containerd=""
    [limactl create] containerd mode (user, system, user+system, none)

--cpus=0
    [limactl create] Number of CPUs

--disk=0
    [limactl create] Disk size in GiB

--dns=[]
    [limactl create] Specify custom DNS (disable host resolver)

--foreground[=false]
    Run the hostagent in the foreground

-h, --help[=false]
    help for start

--list-templates[=false]
    [limactl create] List available templates and exit

--memory=0
    [limactl create] Memory in GiB

--mount=[]
    [limactl create] Directories to mount, suffix ':w' for writable (Do not specify directories that overlap with the existing mounts)

--mount-inotify[=false]
    [limactl create] Enable inotify for mounts

--mount-none[=false]
    [limactl create] Remove all mounts

--mount-type=""
    [limactl create] Mount type (reverse-sshfs, 9p, virtiofs)

--mount-writable[=false]
    [limactl create] Make all mounts writable

--name=""
    [limactl create] Override the instance name

--network=[]
    [limactl create] Additional networks, e.g., "vzNAT" or "lima:shared" to assign vmnet IP

--plain[=false]
    [limactl create] Plain mode. Disables mounts, port forwarding, containerd, etc.

--rosetta[=false]
    [limactl create] Enable Rosetta (for vz instances)

--set=""
    [limactl create] Modify the template inplace, using yq syntax

--timeout=10m0s
    Duration to wait for the instance to be running before timing out

--video[=false]
    [limactl create] Enable video output (has negative performance impact for QEMU)

--vm-type=""
    [limactl create] Virtual machine type (qemu, vz)

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

-y, --yes[=false]
    Alias of --tty=false

EXAMPLE
    To create an instance "default" (if not created yet) from the default Ubuntu template, and start it:
    $ limactl start
    To create an instance "default" from a template "docker", and start it:
    $ limactl start --name=default template://docker
    'limactl start' also accepts the 'limactl create' flags such as '--set'.
    See the examples in 'limactl create --help'.

SEE ALSO
limactl(1)